#!/bin/bash

# This script deletes Onyx framework cache

cd `dirname "$0"`

. ./config.sh

for n in "$@"
do
    MD5=`echo -n $n | md5sum | cut -d " " -f 1`
    if [ -f "onyx/cache/$MD5.cache.php" ]
    then
	rm -f "onyx/cache/$MD5.cache.php"
	echo "--- $n deleted"
    else
	echo "/!\\ $n not found ($MD5)"
    fi
done
