<?php

if(!defined('ONYX')) exit;

class Member
{
  var $id = null;
  var $team = null;
  var $firstname;
  var $lastname;
  var $nickname;
  var $company;

  function Member($id=null, $team=null)
  {
    if (!empty($id))
    {
      global $db;
      $res = $db->unique_query("SELECT id, id_team, firstname, lastname, nickname, company
        			FROM team_members WHERE id=" . intval($id)) or die($db->erreur());
      if (!empty($res))
      {
	$this->id = $res['id'];
	if (empty($team))
	  $this->team = $res['id_team'];
	else
	  $this->team = $team;
	$this->firstname = $res['firstname'];
	$this->lastname = $res['lastname'];
	$this->nickname = $res['nickname'];
	$this->company = $res['company'];
      }
    }
  }

  function update()
  {
    $firstname = $this->firstname;
    $lastname = $this->lastname;
    $nickname = $this->nickname;
    $company = $this->company;

    if (gettype($this->team) != "object")
      $id_team = intval($this->team);
    else
      $id_team = $this->team->id;

    global $db;
    $db->escape($firstname);
    $db->escape($lastname);
    $db->escape($nickname);
    $db->escape($company);

    if (empty($this->id))
    {
      $db->query("INSERT INTO team_members
       		  VALUES (NULL, ".intval($id_team).", '".$firstname."', '".$lastname."', '".$nickname."', '".$company."')");
      $this->id = $db->insert_id();
      $aff = ($this->id > 0);
    }
    else
    {
      $db->query("UPDATE team_members
     	  	  SET id_team = ".intval($id_team).", firstname = '$firstname', lastname = '$lastname', nickname = '$lastname', company = '$company'
     	  	  WHERE id = ".intval($this->id));
      $aff = $db->affected();
    }

    return ($aff == 1);
  }

  function get_team()
  {
    if (gettype($this->team) != "object")
      $this->team = new Team(intval($this->team));

    return $this->team;
  }
}

?>