#!/bin/bash

# This script mades backup of important things

cd `dirname "$0"`

. ./config.sh

chown "$SYNCHRO_USER" "$TO_BCKP"

if [ "$UID" = "0" ]
then
    SCRIPT=`pwd`/`basename "$0"`
    su -c "sh $SCRIPT $@" "$SYNCHRO_USER"
    exit $?
fi

if mount | grep "$TO_BCKP" > /dev/null
then

    mysqldump -u backup --password="$BCKP_PASS" fic > "$TO_BCKP"/db/`date +%Y%m%d-%H%M`.sql

    rsync -avL shared "$TO_BCKP"
    rsync -avL PKI "$TO_BCKP"
    rsync -avL .git "$TO_BCKP"
    rsync -avL logs "$TO_BCKP"
    rsync -avL /var/log "$TO_BCKP"
    rsync -avL true_files "$TO_BCKP"

else
    echo No volume mounted on $TO_BCKP
fi
