<?php

if(!defined('ONYX')) exit;

if (count($p) > 2)
{
  switch($p[2])
  {
  case "custom":
    if (!empty($_POST["cmds"]))
      $ret = pipe_backend_scheduler($_POST["cmds"]);
    break;

  case "clear":
    $ret = pipe_backend_scheduler("clear");
    break;

  case "errors":
    $ret = pipe_backend_scheduler("resetreset:ERRORSERR:SYNCSYNC");
    break;

  case "full":
    $ret = pipe_backend_scheduler("rese:HOME:all:DS");
    break;

  case "freeze":
    $ret = pipe_backend_scheduler("freeze");
    break;
  case "unfreeze":
    $ret = pipe_backend_scheduler("unfreeze");
    break;

  case "home":
    $ret = pipe_backend_scheduler("rese:HOME:SYNC");
    break;

  case "nginx":
    $ret = pipe_backend_scheduler("RTEAMS_NOWNOW");
    break;

  case "team":
    if (isset($_POST["team"]))
      $ret = pipe_backend_scheduler("resetr:TEAM".intval($_POST["team"]).":SYNCS");
    break;

  case "sync":
    $ret = pipe_backend_scheduler("SYNCSYNCSYNCSYNCSYNC");
    break;
  }
}
elseif (count($p) > 1) {
  header("Content-type: application/xml");

  $queue = explode("\n", pipe_backend_scheduler("show"));
  unset($queue[0], $queue[1]);
  $template->assign("queue", array_filter($queue, function($var){ return !empty($var); }));

  return "admin/generation_status";
}

header("Content-type: application/xml");

$template->assign("return", $ret);
return "admin/generation";
