<?php
if(!defined('ONYX')) exit;

// Enable debugging in development environment
if (!empty($VAR["development"]))
    define("DEBUG", true);

require_once("functions.php");

require_once("common/Exercice.class.php");
require_once("common/Member.class.php");
require_once("common/Team.class.php");
require_once("common/Theme.class.php");

$template = new Template();

$template->assign("ERRmessage", false);

if (is_file($VAR["misc_dir"]."/shared/challenge_started"))
{
  $VAR["start_challenge"] = intval(file_get_contents($VAR["misc_dir"]."/shared/challenge_started"));
  $VAR["end_challenge"] = $VAR["start_challenge"] + 14400;
  $template->assign("END", $VAR['end_challenge']);
}

if (!empty($VAR['misc_dir']))
    $template->assign("MISC_DIR", $VAR['misc_dir']);
if (!empty($LANG))
    $template->assign("LANG", $LANG);

$db = new BDD();
