<?php

function erreur($message, $color="danger")
{
  global $template;

  $template->assign('ERRmessage', $message);
  $template->assign('ERRcolor', $color);
}

function pipe_backend_scheduler($instruct)
{
  global $VAR;

  $socket = socket_create(AF_UNIX, SOCK_STREAM, 0);
  if (is_writable($VAR["scheduler_socket"]) && socket_connect($socket, $VAR["scheduler_socket"]))
  {
    socket_write($socket, $instruct."\n") or die(socket_strerror(socket_last_error()));
    usleep(300000);
    $ret = socket_read($socket, 32768);
    socket_shutdown($socket);
    socket_close($socket);
    return $ret;
  }
  else if(defined("DEBUG") && DEBUG)
    throw new Exception("Socket '".$VAR["scheduler_socket"]."' is not writable by ".$_SERVER["USER"]." user!");
}
