<?xml version="1.0" encoding="UTF-8"?>
<theme>
  <title>{$theme->get_name()}</title>
  {if $theme->get_exercices_ordered()}
  {foreach from=$theme->get_exercices_ordered() item=e}
  <exercice id="{$e->id}" level="{$e->level}"{if $e->require} depends="{$e->require}"{/if}>
    <title>{$e->get_title()}</title>
    <points>{$e->points}</points>
    <statement>{$e->statement}</statement>
  {if $e->keys}
    {foreach from=$e->keys item=k}
    <key format="{$k.format}">{$k.value}</key>
    {/foreach}
  {/if}
  {if $e->files}
    {foreach from=$e->files item=f}
    <file path="{$f.path}" sha1="{$f.sha1}">{$f.name}</file>
    {/foreach}
  {/if}
  </exercice>
  {/foreach}
  {/if}
</theme>
