<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>{block name=title}Challenge FIC2015{/block}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link href="{$SALT_CDN}/css/bootstrap.min.css" type="text/css" rel="stylesheet" media="screen">
    <link href="{$SALT_CDN}/css/bootstrap-theme.min.css" type="text/css" rel="stylesheet" media="screen">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="{$SALT_CDN}/assets/js/html5shiv.js"></script>
      <script src="{$SALT_CDN}/assets/js/respond.min.js"></script>
    <![endif]-->

    <link rel="shortcut icon" type="image/x-icon" href="{$SALT_CDN}/favicon.ico">
    <meta name="author" content="EPITA Laboratoire SRS">
    <meta name="robots" content="all">
    <meta name="language" content="{$smarty.const.LANG}">
    <meta http-equiv="Content-Language" content="{$smarty.const.LANG}">
    {block name=head}{/block}
  </head>
  <body>
  {block name=body}
  {if $ERRmessage}
    <div class="alert alert-dismissable alert-{$ERRcolor}">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <span class="glyphicon glyphicon-warning-sign"></span> {$ERRmessage}
    </div>
  {/if}
  {block name=content}{/block}
  {/block}

    <!--
    <div class="container">
      <hr>
      <footer>
	<p>&copy; <a href="http://www.forum-fic.com/">FIC</a> 2015
	  &copy; <a href="http://www.epita.fr/">EPITA</a></p>
      </footer>
    </div>
    -->
    <script src="{$SALT_CDN}/js/jquery.min.js"></script>
    <script src="{$SALT_CDN}/js/bootstrap.min.js"></script>
  {block name=end}{/block}
  </body>
</html>
