{extends file="layout.tpl"}

{block name=head}
<link href="{$SALT_CDN}/css/main.css" type="text/css" rel="stylesheet">
{block name=head2}{/block}
{/block}

{block name=end}
<script src="{$SALT_CDN}/js/countdown.js"></script>
<script type="text/javascript">
{if isset($END)}
  var end_challenge = new Date({$END * 1000});
{/if}
  update_end();
</script>
{/block}

{block name=content}
  {include file="clock.tpl"}
<div class="container" style="margin-top: 25px">
  <div class="alert alert-success">
    <strong>Le challenge est termin&eacute; !</strong> Vous avez résolu {$my_team->get_solved_exercices()|count} exercices, pour un total de {$my_team->get_pts()} points. Vous êtes <strong>{$my_team->get_rank()}e</strong>, bravo !
  </div>

  <div class="panel panel-info">
    <div class="panel-heading">
        <h3 class="panel-title">Progression</h3>
    </div>
    <div class="panel-body">
      {include file="summary.tpl"}
    </div>
  </div>

  <div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Classement final</h3>
    </div>
    <div class="panel-body">
      {include file="rank.tpl"}
    </div>
  </div>
</div>
{/block}
